## qxmpp 0.2.0

=== debian/changelog ===
qxmpp (0.2.0-1ubuntu1) natty; urgency=low

  * Don't build the examples to fix FTBFS. They aren't installed anyway.
    - Add debian/patches/ubuntu_01_dont_build_examples.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 08 Nov 2010 12:27:21 +0100

qxmpp (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 22 Aug 2010 15:39:14 +0200

qxmpp (0.1.93-1) unstable; urgency=low

  * New upstream release.
  * Initial upload to unstable.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Aug 2010 16:04:43 +0200

qxmpp (0.1.91-1) experimental; urgency=low

  * Initial upload to Debian (Closes: #592413).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 11 Aug 2010 10:55:24 +0200

## qxmpp 0.2.92

=== debian/changelog ===
qxmpp (0.2.92) maverick; urgency=low

  * Initial release

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 05 Feb 2011 20:42:15 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake qxmpp.pro
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/qxmpp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qxmpp 1.0.0

=== CMakeLists.txt ===
project(qxmpp)

cmake_minimum_required(VERSION 3.2)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 0)
set(VERSION_PATCH 0)
set(SO_VERSION 0)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
mark_as_advanced(VERSION_MAJOR VERSION_MINOR VERSION_PATCH VERSION_STRING)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/modules")

find_package(Qt5 REQUIRED COMPONENTS Core Network Xml)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)

option(BUILD_TESTS "Build tests." ON)
option(BUILD_DOCUMENTATION "Build API documentation." OFF)
option(BUILD_EXAMPLES "Build examples." ON)

add_subdirectory(src)

if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

if(BUILD_DOCUMENTATION)
    add_subdirectory(doc)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    QXmppConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfig.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/qxmpp"
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfigVersion.cmake
    VERSION ${VERSION_STRING}
    COMPATIBILITY SameMajorVersion
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfigVersion.cmake
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/qxmpp"
    COMPONENT Devel
)

# Generate qxmpp.pc
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qxmpp.pc.in ${CMAKE_CURRENT_BINARY_DIR}/qxmpp.pc @ONLY)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/qxmpp.pc
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    COMPONENT Devel
)

=== src/CMakeLists.txt ===
add_definitions(-DQXMPP_BUILD)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/base)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/client)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/server)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/base/QXmppGlobal.h.in ${CMAKE_CURRENT_BINARY_DIR}/base/QXmppGlobal.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/base)

set(INSTALL_HEADER_FILES
    ${CMAKE_CURRENT_BINARY_DIR}/base/QXmppGlobal.h

    # Base
    base/QXmppArchiveIq.h
    base/QXmppBindIq.h
    base/QXmppBookmarkSet.h
    base/QXmppByteStreamIq.h
    base/QXmppDataForm.h
    base/QXmppDiscoveryIq.h
    base/QXmppElement.h
    base/QXmppEntityTimeIq.h
    base/QXmppIbbIq.h
    base/QXmppIq.h
    base/QXmppJingleIq.h
    base/QXmppLogger.h
    base/QXmppMamIq.h
    base/QXmppMessage.h
    base/QXmppMucIq.h
    base/QXmppNonSASLAuth.h
    base/QXmppPingIq.h
    base/QXmppPresence.h
    base/QXmppPubSubIq.h
    base/QXmppRegisterIq.h
    base/QXmppResultSet.h
    base/QXmppRosterIq.h
    base/QXmppRpcIq.h
    base/QXmppRtcpPacket.h
    base/QXmppRtpChannel.h
    base/QXmppRtpPacket.h
    base/QXmppSessionIq.h
    base/QXmppSocks.h
    base/QXmppStanza.h
    base/QXmppStream.h
    base/QXmppStreamFeatures.h
    base/QXmppStun.h
    base/QXmppUtils.h
    base/QXmppVCardIq.h
    base/QXmppVersionIq.h

    # Client
    client/QXmppArchiveManager.h
    client/QXmppBookmarkManager.h
    client/QXmppCallManager.h
    client/QXmppCarbonManager.h
    client/QXmppClient.h
    client/QXmppClientExtension.h
    client/QXmppConfiguration.h
    client/QXmppDiscoveryManager.h
    client/QXmppEntityTimeManager.h
    client/QXmppInvokable.h
    client/QXmppMamManager.h
    client/QXmppMessageReceiptManager.h
    client/QXmppMucManager.h
    client/QXmppOutgoingClient.h
    client/QXmppRemoteMethod.h
    client/QXmppRosterManager.h
    client/QXmppRpcManager.h
    client/QXmppTransferManager.h
    client/QXmppTransferManager_p.h
    client/QXmppVCardManager.h
    client/QXmppVersionManager.h

    # Server
    server/QXmppDialback.h
    server/QXmppIncomingClient.h
    server/QXmppIncomingServer.h
    server/QXmppOutgoingServer.h
    server/QXmppPasswordChecker.h
    server/QXmppServer.h
    server/QXmppServerExtension.h
    server/QXmppServerPlugin.h
)

set(SOURCE_FILES
    # Base
    base/QXmppArchiveIq.cpp
    base/QXmppBindIq.cpp
    base/QXmppBookmarkSet.cpp
    base/QXmppByteStreamIq.cpp
    base/QXmppCodec.cpp
    base/QXmppConstants.cpp
    base/QXmppDataForm.cpp
    base/QXmppDiscoveryIq.cpp
    base/QXmppElement.cpp
    base/QXmppEntityTimeIq.cpp
    base/QXmppIbbIq.cpp
    base/QXmppIq.cpp
    base/QXmppJingleIq.cpp
    base/QXmppLogger.cpp
    base/QXmppMamIq.cpp
    base/QXmppMessage.cpp
    base/QXmppMucIq.cpp
    base/QXmppNonSASLAuth.cpp
    base/QXmppPingIq.cpp
    base/QXmppPresence.cpp
    base/QXmppPubSubIq.cpp
    base/QXmppRegisterIq.cpp
    base/QXmppResultSet.cpp
    base/QXmppRosterIq.cpp
    base/QXmppRpcIq.cpp
    base/QXmppRtcpPacket.cpp
    base/QXmppRtpChannel.cpp
    base/QXmppRtpPacket.cpp
    base/QXmppSasl.cpp
    base/QXmppSessionIq.cpp
    base/QXmppSocks.cpp
    base/QXmppStanza.cpp
    base/QXmppStream.cpp
    base/QXmppStreamFeatures.cpp
    base/QXmppStreamInitiationIq.cpp
    base/QXmppStreamManagement.cpp
    base/QXmppStun.cpp
    base/QXmppUtils.cpp
    base/QXmppVCardIq.cpp
    base/QXmppVersionIq.cpp

    # Client
    client/QXmppDiscoveryManager.cpp
    client/QXmppArchiveManager.cpp
    client/QXmppBookmarkManager.cpp
    client/QXmppCallManager.cpp
    client/QXmppCarbonManager.cpp
    client/QXmppClient.cpp
    client/QXmppClientExtension.cpp
    client/QXmppConfiguration.cpp
    client/QXmppEntityTimeManager.cpp
    client/QXmppInvokable.cpp
    client/QXmppMamManager.cpp
    client/QXmppMessageReceiptManager.cpp
    client/QXmppMucManager.cpp
    client/QXmppOutgoingClient.cpp
    client/QXmppRemoteMethod.cpp
    client/QXmppRosterManager.cpp
    client/QXmppRpcManager.cpp
    client/QXmppTransferManager.cpp
    client/QXmppVCardManager.cpp
    client/QXmppVersionManager.cpp

    # Server
    server/QXmppDialback.cpp
    server/QXmppIncomingClient.cpp
    server/QXmppIncomingServer.cpp
    server/QXmppOutgoingServer.cpp
    server/QXmppPasswordChecker.cpp
    server/QXmppServer.cpp
    server/QXmppServerExtension.cpp
    server/QXmppServerPlugin.cpp
)

option(WITH_SPEEX "Support the Speex codec" OFF)
option(WITH_OPUS "Support the Opus codec" OFF)
option(WITH_THEORA "Support the Theora codec" OFF)
option(WITH_VPX "Support the VPX codec" OFF)
option(BUILD_SHARED "Build SHARED library" ON)

if(WITH_SPEEX)
    find_package(Speex REQUIRED)
    include_directories(${Speex_INCLUDE_DIRS})
    set(MULTIMEDIA_LIBS ${MULTIMEDIA_LIBS} ${Speex_LIBRARIES})
    add_definitions(-DQXMPP_USE_SPEEX)
endif()
if(WITH_OPUS)
    find_package(Opus REQUIRED)
    include_directories(${Opus_INCLUDE_DIRS})
    set(MULTIMEDIA_LIBS ${MULTIMEDIA_LIBS} ${Opus_LIBRARIES})
    add_definitions(-DQXMPP_USE_OPUS)
endif()
if(WITH_THEORA)
    find_package(Theora REQUIRED)
    include_directories(${Theora_INCLUDE_DIRS})
    set(MULTIMEDIA_LIBS ${MULTIMEDIA_LIBS} ${Theora_LIBRARIES})
    add_definitions(-DQXMPP_USE_THEORA)
endif()
if(WITH_VPX)
    find_package(VPX REQUIRED)
    include_directories(${VPX_INCLUDE_DIRS})
    set(MULTIMEDIA_LIBS ${MULTIMEDIA_LIBS} ${VPX_LIBRARIES})
    add_definitions(-DQXMPP_USE_VPX)
endif()

if(BUILD_SHARED)
    add_library(qxmpp SHARED ${SOURCE_FILES})
else()
    add_library(qxmpp STATIC ${SOURCE_FILES})
endif()

set_target_properties(qxmpp PROPERTIES
    VERSION ${VERSION_STRING}
    SOVERSION ${SO_VERSION}
    EXPORT_NAME QXmpp
)

target_include_directories(qxmpp
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/base>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/client>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/server>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/base>
    $<INSTALL_INTERFACE:include/qxmpp>
)

target_link_libraries(qxmpp
    PUBLIC
    Qt5::Core
    Qt5::Network
    Qt5::Xml
    PRIVATE
    ${MULTIMEDIA_LIBS}
)

install(
    TARGETS qxmpp
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT QXmppTarget
)

install(
    EXPORT QXmppTarget
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/qxmpp"
    FILE QXmpp.cmake
    NAMESPACE QXmpp::
    COMPONENT Devel
)

export(
    TARGETS qxmpp
    FILE QXmpp.cmake
)

install(
    FILES ${INSTALL_HEADER_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/qxmpp"
)

=== tests/CMakeLists.txt ===
include_directories(.)

find_package(Qt5 REQUIRED COMPONENTS Test)

macro(add_simple_test TEST_NAME)
    add_executable(tst_${TEST_NAME} ${TEST_NAME}/tst_${TEST_NAME}.cpp)
    add_test(tst_${TEST_NAME} tst_${TEST_NAME})
    target_link_libraries(tst_${TEST_NAME} Qt5::Test qxmpp)
endmacro()

include_directories(${PROJECT_SOURCE_DIR}/src/base)
include_directories(${PROJECT_SOURCE_DIR}/src/client)
include_directories(${PROJECT_SOURCE_DIR}/src/server)
include_directories(${PROJECT_BINARY_DIR}/src/base)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_simple_test(qxmpparchiveiq)
add_simple_test(qxmppbindiq)
add_simple_test(qxmppcallmanager)
add_simple_test(qxmppcarbonmanager)
# add_simple_test(qxmppcodec)
add_simple_test(qxmppdataform)
add_simple_test(qxmppdiscoveryiq)
add_simple_test(qxmppentitytimeiq)
add_simple_test(qxmppiceconnection)
add_simple_test(qxmppiq)
add_simple_test(qxmppjingleiq)
add_simple_test(qxmppmammanager)
add_simple_test(qxmppmessage)
add_simple_test(qxmppnonsaslauthiq)
add_simple_test(qxmpppresence)
add_simple_test(qxmpppubsubiq)
add_simple_test(qxmppregisteriq)
add_simple_test(qxmppresultset)
add_simple_test(qxmpprosteriq)
add_simple_test(qxmpprpciq)
add_simple_test(qxmpprtcppacket)
add_simple_test(qxmpprtppacket)
# add_simple_test(qxmppsasl)
add_simple_test(qxmppserver)
add_simple_test(qxmppsessioniq)
add_simple_test(qxmppsocks)
add_simple_test(qxmppstanza)
add_simple_test(qxmppstreamfeatures)
# add_simple_test(qxmppstreaminitiationiq)
add_simple_test(qxmppstunmessage)
add_simple_test(qxmppvcardiq)
add_simple_test(qxmppversioniq)

add_subdirectory(qxmpptransfermanager)
add_subdirectory(qxmpputils)

=== tests/qxmpptransfermanager/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(tst_qxmpptransfermanager tst_qxmpptransfermanager.cpp tst_qxmpptransfermanager.qrc)
add_test(tst_qxmpptransfermanager tst_qxmpptransfermanager)
target_link_libraries(tst_qxmpptransfermanager Qt5::Test qxmpp)

=== tests/qxmpputils/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(tst_qxmpputils tst_qxmpputils.cpp tst_qxmpputils.qrc)
add_test(tst_qxmpputils tst_qxmpputils)
target_link_libraries(tst_qxmpputils Qt5::Test qxmpp)

## qxmpp 0.2.92-maemo-0

=== debian/changelog ===
qxmpp (0.2.92-maemo-0) maverick; urgency=low

  * Inital release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:47:43 +0300

=== debian/control ===
Source: qxmpp
Section: libs
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/qxmpp/
#Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git;a=summary

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Suggests: libqxmpp-doc
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains development headers and libraries.

## qxmpp 0.2.92-maemo-1

=== debian/changelog ===
qxmpp (0.2.92-maemo-1) maverick; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:56:03 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libqxmpp-doc
 Description: Development files for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_testroot
 	dh_clean -k  
 	dh_installdirs
-
+	mkdir doc/html
 
 	# Add here commands to install the package into debian/qutim.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/qxmpp install

## qxmpp 0.2.92-maemo-2

=== debian/changelog ===
qxmpp (0.2.92-maemo-2) fremantle; urgency=low

  * Fix build problems

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 15 Feb 2011 05:11:12 +0300

qxmpp (0.2.92-maemo-1) fremantle; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:56:03 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
+Build-Depends: debhelper, libqt4-dev
 Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/qxmpp/
 #Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	mkdir doc/html
 
 	# Add here commands to install the package into debian/qutim.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/qxmpp install
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqxmpp-dev install
 
 
 # Build architecture-independent files here.

## qxmpp 0.3.0

=== debian/changelog ===
qxmpp (0.3.0-1ubuntu1) oneiric; urgency=low

  * Fix up build to work with multiarch qt4-x11. (LP: #832953)
    - Add pkgconfig_install_patch.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 13 Sep 2011 23:22:31 +0200

qxmpp (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 07 Mar 2011 08:28:35 +0100

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs, debhelper (>= 7.0), libqt4-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/qxmpp/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqt4-dev
Suggests: libqxmpp-doc
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

## qxmpp 0.3.92

=== debian/changelog ===
qxmpp (0.3.92-1) experimental; urgency=low

  * New upstream release.
  * Switch from cdbs to debhelper 7.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 23 Feb 2012 21:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qxmpp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: cdbs, debhelper (>= 7.0), libqt4-dev
-Standards-Version: 3.9.1
+Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
+Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/qxmpp/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/
@@ -23,7 +22,7 @@
 Package: libqxmpp-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, lynx | www-browser
+Depends: ${misc:Depends}, libjs-jquery, lynx | www-browser
 Description: Documentation for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
  as easy to use as possible.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install -Xjquery.js

## qxmpp 0.4.92

=== debian/changelog ===
qxmpp (0.4.92-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 07 Jun 2012 10:12:38 +0200

qxmpp (0.4.91-2) unstable; urgency=low

  * Add support for multi-arch.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 31 May 2012 22:28:59 +0200

qxmpp (0.4.91-1) experimental; urgency=low

  * New upstream release.
  * Build as a shared library.
  * Enable speex and theora support.
  * Set debian/compat to 9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 31 May 2012 09:40:44 +0200

qxmpp (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 12 Apr 2012 09:32:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,29 @@
 Section: libs
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/qxmpp/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/
 
+Package: libqxmpp0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Shared library for the QXmpp library
+ QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
+ as easy to use as possible.
+ .
+ This package contains the shared library.
+
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqt4-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libqxmpp0 (= ${binary:Version}), libqt4-dev
 Suggests: libqxmpp-doc
 Description: Development files for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_install:
	dh_install -Xjquery.js

## qxmpp 0.7.3

=== debian/changelog ===
qxmpp (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 07 Sep 2012 12:00:46 +0200

qxmpp (0.7.2-1) unstable; urgency=low

  [ Jeremy Lainé ]
  * New upstream release.
  * Set DM-Upload-Allowed: yes to allow Boris Pek to perform uploads.

  [ Boris Pek ]
  * debian/control: update short description of package libqxmpp0.
  * debian/rules: override_dh_install is not necessary.
  * debian/libqxmpp-doc.links: fix lintian notes about duplicate files.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 06 Sep 2012 12:11:42 +0200

qxmpp (0.7.1-2) unstable; urgency=low

  [ Boris Pek ]
  * Update Vcs-* fields: repository was moved from Svn to Git.
  * Fix get-orig-source section in according with Debian Policy §4.9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Sep 2012 20:28:14 +0200

qxmpp (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Sep 2012 16:59:22 +0200

qxmpp (0.6.3-2) unstable; urgency=low

  [ Jeremy Lainé ]
  * Provide debugging symbols in libqxmpp0-dbg.
  * Add Boris Pek to uploaders.

  [ Boris Pek ]
  * Add debian/libqxmpp-doc.doc-base.
  * Add debian/watch.
  * Remove unnecessary "Section: libs" from package libqxmpp0.
  * Update debian/rules:
    - enable parallel building
    - add get-orig-source target
  * Rewrite debian/copyright according to copyright format 1.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 24 Aug 2012 15:26:17 +0200

qxmpp (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 24 Jul 2012 19:18:28 +0200

qxmpp (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 22 Jul 2012 00:25:39 +0200

qxmpp (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 18 Jul 2012 07:57:07 +0200

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/qxmpp/
Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git
DM-Upload-Allowed: yes

Package: libqxmpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqxmpp0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Debugging symbols for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the debugging symbols.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqxmpp0 (= ${binary:Version}), libqt4-dev
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, lynx | www-browser
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

## qxmpp 0.7.5

=== debian/changelog ===
qxmpp (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 27 Jan 2013 19:44:14 +0200

qxmpp (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete DM-Upload-Allowed flag.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 01 Oct 2012 15:24:00 +0200

## qxmpp 0.7.6

=== debian/changelog ===
qxmpp (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 12 Mar 2013 09:36:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Homepage: http://code.google.com/p/qxmpp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git
-DM-Upload-Allowed: yes
 
 Package: libqxmpp0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

CUR_VER = $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_strip:
	dh_strip --dbg-package=libqxmpp0-dbg

get-orig-source:
	wget -c "http://qxmpp.googlecode.com/files/qxmpp-$(CUR_VER).tar.gz"
	mv -f "qxmpp-$(CUR_VER).tar.gz" "qxmpp_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
http://code.google.com/p/qxmpp/downloads/list .*name=qxmpp-(.+)\.tar\.gz.* \
debian uupdate

## qxmpp 0.8.0

=== debian/changelog ===
qxmpp (0.8.0-1) unstable; urgency=medium

  [ Jeremy Lainé ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5 (was 3.9.3): no changes required.

  [ Boris Pek ]
  * Update debian/watch: tarballs are stored at another location now.
  * Update debian/control:
    - update using wrap-and-sort tool
    - update Homepage field
    - add doxygen to Build-Depends-Indep
  * Update debian/rules:
    - update get-orig-source section
    - set option --list-missing for dh
    - add option -Wl,--as-needed to LDFLAGS
    - generate documentation during build (Doxygen is used)
  * Update years in debian/copyright.
  * Add debian/libqxmpp-doc.lintian-overrides.
  * Delete debian/libqxmpp-doc.links.
  * Delete dependency on libjs-jquery from libqxmpp-doc package.
  * Fix lintian note vcs-field-not-canonical.

 -- Boris Pek <tehnick@debian.org>  Fri, 28 Mar 2014 17:25:02 +0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Uploaders: Boris Pek <tehnick-8@mail.ru>
+Uploaders: Boris Pek <tehnick@debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/qxmpp/
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.5
+Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qxmpp.git
 
 Package: libqxmpp0
 Architecture: any
@@ -35,7 +36,7 @@
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqxmpp0 (= ${binary:Version}), libqt4-dev
+Depends: libqt4-dev, libqxmpp0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libqxmpp-doc
 Multi-Arch: same
 Description: Development files for the QXmpp library
@@ -47,11 +48,10 @@
 Package: libqxmpp-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, lynx | www-browser
+Depends: lynx | www-browser, ${misc:Depends}
 Suggests: libqxmpp-dev
 Description: Documentation for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
  as easy to use as possible.
  .
  This package contains the HTML documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = qxmpp

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_auto_build-indep:
	make docs

override_dh_auto_clean-indep:
	dh_auto_clean -i
	rm -rf $(CURDIR)/doc/html

.PHONY: override_dh_auto_test-indep

override_dh_strip:
	dh_strip --dbg-package=libqxmpp0-dbg

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

## qxmpp 0.8.2

=== debian/changelog ===
qxmpp (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable Opus audio codec.
  * Put doxygen and graphviz in Build-Depends.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 07 Jan 2015 15:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
-Build-Depends-Indep: doxygen
+Build-Depends: debhelper (>= 9), doxygen, graphviz, libqt4-dev, libopus-dev, libspeex-dev, libtheora-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,7 @@
 	dh $@ --parallel --list-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
-
-override_dh_auto_build-indep:
-	make docs
-
-override_dh_auto_clean-indep:
-	dh_auto_clean -i
-	rm -rf $(CURDIR)/doc/html
+	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_DOXYGEN=1 QXMPP_USE_OPUS=1 QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
 
 .PHONY: override_dh_auto_test-indep

## qxmpp 0.9.3

=== debian/changelog ===
qxmpp (0.9.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build with Qt4 instead of Qt5.

 -- Boris Pek <tehnick@debian.org>  Tue, 02 Feb 2016 02:16:22 +0300

qxmpp (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 03 Dec 2015 17:05:47 +0100

qxmpp (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Only invoke dh_doxygen for arch-independent builds.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 02 Sep 2015 16:52:05 +0200

qxmpp (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Build against Qt5.
  * Enable vp8 support.
  * Disable tests which require a network connection.
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Invoke dh_doxygen to clean up unneccessary doxygen files.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 30 Aug 2015 14:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,15 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), doxygen, graphviz, libqt4-dev, libopus-dev, libspeex-dev, libtheora-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               doxygen,
+               graphviz,
+               libopus-dev,
+               libspeex-dev,
+               libtheora-dev,
+               libvpx-dev,
+               libqt4-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qxmpp.git
@@ -35,7 +42,7 @@
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: libqt4-dev, libqxmpp0 (= ${binary:Version}), ${misc:Depends}
+Depends: libqxmpp0 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Suggests: libqxmpp-doc
 Multi-Arch: same
 Description: Development files for the QXmpp library

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,25 @@
 CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 
-LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export QT_SELECT = qt4
 
 %:
 	dh $@ --parallel --list-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_DOXYGEN=1 QXMPP_USE_OPUS=1 QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
+	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		QXMPP_USE_DOXYGEN=1 \
+		QXMPP_USE_OPUS=1 \
+		QXMPP_USE_SPEEX=1 \
+		QXMPP_USE_THEORA=1 \
+		QXMPP_USE_VPX=1
 
 .PHONY: override_dh_auto_test-indep
+
+override_dh_installdocs:
+	dh_installdocs
+	dh_doxygen -i
 
 override_dh_strip:
 	dh_strip --dbg-package=libqxmpp0-dbg

## qxmpp 1.0.0

=== debian/changelog ===
qxmpp (1.0.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:09:57 +0100

qxmpp (1.0.0-5) unstable; urgency=medium

  * Add patch fix-segfault-on-connection-error:
    fixes potential SEGFAULT on connection error.

 -- Boris Pek <tehnick@debian.org>  Thu, 21 Nov 2019 00:18:31 +0300

qxmpp (1.0.0-4) unstable; urgency=medium

  * Update debian/control:
    - package libqxmpp1 now Breaks and Replaces package libqxmpp0
      (Closes: #919788)
    - remove Pre-Depends field from package libqxmpp1

 -- Boris Pek <tehnick@debian.org>  Sat, 19 Jan 2019 21:56:20 +0300

qxmpp (1.0.0-3) unstable; urgency=medium

  * Move to unstable: no changes required.
  * Add debian/libqxmpp1.lintian-overrides: notice that there is no stable ABI
    in this library, only stable API is available.

 -- Boris Pek <tehnick@debian.org>  Sat, 19 Jan 2019 00:12:57 +0300

qxmpp (1.0.0-2) experimental; urgency=medium

  * Add patch bump-SONAME. (Closes: #919487)
  * Rename package libqxmpp0 to libqxmpp1.
  * Update debian/libqxmpp-dev.install: add cmake files.

 -- Boris Pek <tehnick@debian.org>  Fri, 18 Jan 2019 01:11:28 +0300

qxmpp (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete all patches.
  * Bump debhelper version to 12~ (was 9); update debian/compat.
  * Update debian/control:
    - set Debian XMPP Maintainers as Maintainer
    - move Jeremy Lainé to Uploaders
    - add build dependency from cmake
    - bump Standards-Version to 4.3.0 (was 3.9.6): see changes below
    - update Vcs-* fields: moved from Alioth to Salsa
    - delete package libqxmpp0-dbg: see AutomaticDebugPackages initiative
      (after updating of debian/compat)
  * Rewrite debian/rules:
    - switch to cmake build system
      (after changes in upstream)
    - enable all hardening flags
    - delete get-orig-source section
      (after bumping of Standards-Version)
    - delete override_dh_strip section
      (after deleting of libqxmpp0-dbg package)
    - delete --parallel and --list-missing options from dh
      (after updating of debian/compat)
  * Add debian/source/lintian-overrides.
  * Add debian/libqxmpp-doc.examples.
  * Add debian/upstream/metadata.
  * Cosmetic changes in debian/watch.
  * Update debian/libqxmpp-doc.lintian-overrides.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Tue, 08 Jan 2019 20:56:22 +0300

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               doxygen,
               graphviz,
               libopus-dev,
               libspeex-dev,
               libtheora-dev,
               libvpx-dev,
               qtbase5-dev
Standards-Version: 4.3.0
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

Package: libqxmpp1
Architecture: any
Replaces: libqxmpp0
Breaks: libqxmpp0
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: libqxmpp1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
            -DBUILD_EXAMPLES=ON \
            -DBUILD_TESTS=OFF \
            -DWITH_SPEEX=ON \
            -DWITH_OPUS=ON \
            -DWITH_THEORA=ON \
            -DWITH_VPX=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

override_dh_installdocs:
	dh_installdocs
	dh_doxygen -i

.PHONY: override_dh_auto_test-indep

=== debian/watch ===
version=3
https://github.com/qxmpp-project/qxmpp/tags \
.*/qxmpp-project/qxmpp/archive/v(.+)\.tar\.gz \
debian uupdate
